<template>
	<view>
		<!-- 状态栏 -->
		<view v-if="showHeader" class="status"
			:style="{ position: headerPosition,top:statusTop,opacity: afterHeaderOpacity}"></view>
		<!-- 顶部导航栏 -->
		<view v-if="showHeader" class="header"
			:style="{ position: headerPosition,top:headerTop,opacity: afterHeaderOpacity }">
			<!-- 定位城市 -->
			<view class="addr" @click="goPostion">
				<!-- <view class="icon location"></view> -->
				{{ city }}
				<image mode="widthFix" style="width: 15px;" :src="imagewxUrl+imgadres2"></image>
			</view>
			<!-- 搜索框 -->
			<view class="input-box">
				<input placeholder="搜索门店" placeholder-style="color:#c0c0c0;" @tap="toSearch()" />
				<view class="icon search"></view>
			</view>
		</view>
		<!-- 占位 -->
		<view v-if="showHeader" class="place"></view>
		<!-- 轮播图 -->
		<view class="height90 backcor008 viewbor"></view>
		<view class="swiper">
			<view class="swiper-box">
				<swiper circular="true" autoplay="true" @change="swiperChange">
					<swiper-item v-for="swiper in swiperList" :key="swiper.id">
						<image :src="imageUrl+swiper.imgData" @click="jumplottery(swiper)"></image>
					</swiper-item>
				</swiper>
				<view class="indicator">
					<view class="dots" v-for="(swiper, index) in swiperList"
						:class="[currentSwiper >= index ? 'on' : '']" :key="index"></view>
				</view>
			</view>
		</view>
		<!-- /菜单 -->
		<view class="height60 backcorfff"></view>
		<view class="category-list">
			<view class="category" v-for="(row, index) in categoryList" :key="index" @tap="toCategory(row)">
				<view class="img">
					<image :src="imageUrl+row.imgData"></image>
				</view>
				<view class="text">{{ row.title }}</view>
			</view>
		</view>

		<!-- 积分 -->
		<view style="width: 90%;margin-left: 5%;" v-if='goldproductList.length != 0' @click="goGoodsList(2)">
			<image class="mart30 width100" mode="widthFix" :src="imagewxUrl+imgadres1"></image>
		</view>
		<swiper class="orange-content" :display-multiple-items="goldproductListleg" v-if='goldproductList.length != 0'
			next-margin="50rpx">
			<swiper-item class="swiper-hed" v-for="(item,index) in goldproductList" :key="index"
				@click="toGoods(item.id)">
				<view class="swiper-item" :data-id="item.id">
					<image class="img" :src="imageUrl+item.couponImg" mode="aspectFit"></image>
					<view class="fotlt fcor333 font14 text1 mart10">{{item.couponName}}</view>
					<view class="subject fotct mart5">
						<image style="width: 15px;height: 15px;vertical-align: sub;margin-right: 5px;"
							src="../../../static/img/jfx.png">
						</image>{{ item.discountPrice*100}}
					</view>
				</view>
			</swiper-item>
		</swiper>

		<image mode="widthFix" style="margin-top: 30px;width: 90%;margin-left: 5%;" v-for="(row, index) in homeCateList"
			:key="index" @click="jumphuafei(row)" :src="imageUrl+row.imgData"></image>
		<!-- 赠券 -->
		<view style="width: 91%;margin-left: 5%;" v-if='productList.length != 0' @click="goGoodsList(1)">
			<image class="mart30 width100" mode="widthFix" :src="imagewxUrl+imgadres"></image>
		</view>
		<swiper class="orange-content" style="border: 2px solid #ff5836;" v-if='productList.length != 0'
			:display-multiple-items="productListleg">
			<swiper-item class="swiper-hed" v-for="pro in productList" :key="pro.id" @click="toGoods(pro.id)">
				<view class="swiper-item" :data-id="pro.id">
					<image class="img" :src="imageUrl+pro.couponImg" mode="aspectFit">
					</image>
					<view class="fotlt fcor333 font14 text1 mart10">{{pro.couponName}}</view>
					<view class="subject fotct mart5">￥{{pro.discountPrice}}</view>
				</view>
			</swiper-item>
		</swiper>
		<wybPopup ref="popup" type="center" height="850" width="600" bgColor="" radius="6" :showCloseIcon="true">
			<image class="popImg" :src="imageUrl+imgadres3" @click="jumpWeb"></image>
		</wybPopup>
		<button open-type="contact">
			<image :src="imagewxUrl+imgadres4" mode="widthFix" class="xfimg"></image>
		</button>
		<view class="height60"></view>
	</view>
</template>

<script>
	import {
		getUserInfo,
		HandleCode,
		WXlogin,
		getCouponList,
		getH5UserInfo,
		getH5AccessToken,
		getTPigKFCToken,
		getTPigCinemaToken,
		getCmsContent,
		getMembershipLevel
	} from "../../../Utils/Api.js"; //您的api路径
	import wybPopup from '../../../components/wyb-popup/wyb-popup.vue';
	let app = getApp();
	export default {
		components: {
			wybPopup
		},
		data() {
			return {
				showHeader: true,
				isShowAuth: false,
				afterHeaderOpacity: 1, //不透明度
				headerPosition: 'fixed',
				headerTop: null,
				statusTop: null,
				nVueTitle: null,
				city: '',
				currentSwiper: 0,
				imageUrl: app.globalData.imgUrl,
				imagewxUrl: app.globalData.imageWxImg,
				imgadres: 'headzq.png',
				imgadres1: 'jbhed.png',
				imgadres2: 'jt.png',
				imgadres3: '',
				imgadres4: 'cusservice.png',
				webUrl: '',
				// 轮播图片
				swiperList: [{
						id: 1,
						src: 'url1',
						img: 'banner2.png'
					},
					{
						id: 2,
						src: 'url2',
						img: 'banner3.png'
					}
				],
				//猜你喜欢列表
				productList: [],
				productListleg: '',
				goldproductList: [],
				goldproductListleg: '',
				loadingText: '正在加载...',
				pageNum: 1,
				pageSize: 6,
				// 分类菜单
				categoryList: [],
				homeCateList: [],
				//切换状态
				cpStuats: 1,
				jumpType: ''
			};
		},

		onShow() {
			// #ifdef H5
			var arr1 = window.location.href;
			var arr2 = arr1.split('=');
			if (!app.globalData.userInfo && arr2[1] != undefined && arr2[2] == '2#/') {
				this.getH5UserInfo(arr2[1]);
			}

			if (app.globalData.userInfo && arr2[1] != undefined && arr2[2] == '1#/') {
				this.getH5AccessToken(arr2[1]);
			}
			// #endif
			if (app.globalData.cityName != '') {
				this.city = app.globalData.cityName;
				this.getCouponListArea();
				this.getCouponListgold();
				this.getCmsContent();
				this.getCmsContentcmshome();
				this.getCmsContentcmsContent();
				if (app.globalData.userInfo.phone) {
					this.getMembershipLevel();
				}
			}
		},
		onLoad(options) {
			let that = this;

			// 1.wx获取登录用户code
			// #ifdef MP
			uni.login({
				provider: 'weixin',
				success: function(loginRes) {
					app.globalData.code = loginRes.code;
					// 请求接口
					let params = {
						code: app.globalData.code
					}
					HandleCode(params).then(res => {
						if (res.return_code == '000000') {
							app.globalData.openId = res.return_data.openId;
						}
					})
				},
			})
			// #endif
			//定位
			this.postionIng();
			uni.getStorage({
				key: "user",
				success(e) {
					app.globalData.userInfo = e.data //这就是你想要取的token
					uni.getStorage({
						key: 'token',
						success(e) {
							app.globalData.token = e.data;
						}
					})
				},
				fail: res => {}
			})
			// #ifdef H5
			uni.getStorage({
				key: "openId",
				success(e) {
					app.globalData.openId = e.data
				},
				fail: res => {}
			})
			// #endif
			if (JSON.stringify(options.id)) {
				app.globalData.identificationCode = options.id;
				return;
			}
			var arr1mp = decodeURIComponent(options.q);
			if (arr1mp) {
				var arr2mp = arr1mp.split('=');
				if (arr2mp) {
					app.globalData.identificationCode = arr2mp[2];
				}
			}

		},
		methods: {
			//获取首页功能
			getCmsContentcmsContent() {
				let params = {
					regionId: app.globalData.cityId,
					categoryCode: 'CMS_HOME_CONTENT'
				}
				getCmsContent(params).then(res => {
					if (res.return_code == '000000') {
						this.homeCateList = res.return_data;
					}
				});
			},
			//查询是否赠券
			getMembershipLevel() {
				let params = {
					phone: app.globalData.userInfo.phone,
					regionId: app.globalData.cityId
				}
				getMembershipLevel(params).then(res => {});
			},
			//获取首页菜单
			getCmsContentcmshome() {
				let params = {
					regionId: app.globalData.cityId,
					categoryCode: 'CMS_HOME_NAV'
				}
				getCmsContent(params).then(res => {
					if (res.return_code == '000000') {
						this.categoryList = res.return_data;
					}
				});
			},

			//获取弹出或者弹窗
			getCmsContent() {
				let params = {
					regionId: app.globalData.cityId,
					categoryCode: 'CMS_WX_APPLETS_HOME_SLIDESHOW'
				}
				getCmsContent(params).then(res => {
					if (res.return_code == '000000') {
						this.swiperList = res.return_data;
					}
				});
			},
			getCmsAactibity() {
				let params = {
					regionId: app.globalData.cityId,
					categoryCode: 'CMS_WX_APPLETS_HOME_ACTIVITY'
				}
				getCmsContent(params).then(res => {
					if (res.return_code == '000000' && res.return_data != '') {
						//弹窗首页广告
						this.showPopup();
						this.imgadres3 = res.return_data[0].imgData;
						this.webUrl = res.return_data[0].ext1;
						this.jumpType = res.return_data[0].jumpType;
					}
				});
			},
			//显示弹出
			showPopup() {
				this.$refs.popup.show();
			},
			close() {
				this.isShowAuth = false;
			},
			//关闭弹窗
			closePopup() {
				this.$refs.popup.hide();
			},

			/**
			 * 跳转外链
			 */
			jumpWeb() {
				if (this.jumpType == 1) {
					if (this.webUrl) {
						uni.navigateTo({
							url: '../order/webUrl/webUrl?url=' + this.webUrl
						})
					}
				} else {
					uni.navigateTo({
						url: this.webUrl
					})
				}

				this.closePopup();
			},
			/**
			 * 定位
			 */
			postionIng() {
				uni.showLoading({
					title: '加载中'
				})
				let that = this;
				uni.getLocation({
					type: 'wgs84',
					success: function(res) {
						app.globalData.latitude = res.latitude;
						app.globalData.longitude = res.longitude;
						that.getUserLocation(res.longitude, res.latitude);
						// #ifdef MP
						uni.request({
							url: 'https://apis.map.qq.com/ws/geocoder/v1/?location=' + res.latitude +
								',' + res.longitude + '&key=7UMBZ-HFEHX-HSD4Q-Z3QY6-OQKN7-2QBDB',
							data: {},
							success: function(res) {
								// that.city = res.data.result.address_component.city.replace(/市/g,
								// 	'');
								that.city = res.data.result.address_component.province;
								app.globalData.cityName = res.data.result.address_component
									.province;
								app.globalData.cityId = res.data.result.ad_info.adcode;
								// app.globalData.cityId = '500100';
								that.getCouponListArea();
								that.getCouponListgold();
								uni.hideLoading();
								that.getCmsContent();
								that.getCmsAactibity();
								that.getCmsContentcmshome();
								that.getCmsContentcmsContent();
							},
							fail() {
								uni.hideLoading()
							}
						})
						//#endif
					}
				})
			},
			//H5 获取openId
			getH5AccessToken(item) {
				let params = {
					code: item
				}
				getH5AccessToken(params).then(res => {
					if (res.return_code == '000000') {
						app.globalData.openId = res.return_data.openid;
						uni.setStorage({
							key: "openId",
							data: res.return_data.openid
						})
					}
				});
			},

			//获取H5用户信息
			getH5UserInfo(item) {
				let params = {
					code: item
				}
				getH5UserInfo(params).then(res => {
					if (res.return_code == '000000') {
						app.globalData.userInfo = res.return_data
							.object
							.highUser;
						app.globalData.token = res.return_data.uniqueCode;
						uni.setStorage({
							key: "user",
							data: res.return_data
								.object
								.highUser
						})
						uni.setStorage({
							key: "token",
							data: res.return_data.uniqueCode
						})
						uni.setStorage({
							key: "openId",
							data: res.return_data
								.object
								.highUser.openIdH5
						})
						app.globalData.openId = res.return_data
							.object
							.highUser.openIdH5;
					} else {
						uni.showToast({
							title: res.return_msg
						})
					}
				});
			},
			//金纬度转
			getUserLocation(long, lat) {
				let vm = this;
				let url =
					'https://apis.map.qq.com/ws/geocoder/v1?coord_type=5&get_poi=1&output=jsonp&poi_options=page_size=1;page_index=1';
				let locationObj = lat + ',' + long;
				this.$jsonp(url, {
						key: '7UMBZ-HFEHX-HSD4Q-Z3QY6-OQKN7-2QBDB',
						location: locationObj
					})
					.then(res => {
						vm.city = res.result.address_component.city.replace(/市/g, '');
						app.globalData.cityName = res.result.address_component.city.replace(/市/g, '');
						app.globalData.cityId = res.result.ad_info.adcode;
						vm.getCouponListArea();
						vm.getCouponListgold();
						uni.hideLoading()
					})
					.catch(err => {
						uni.hideLoading()
						console.log(err);
					});
			},

			//搜索跳转
			toSearch() {
				uni.navigateTo({
					url: '../../goods/HM-search/HM-search'
				})
			},
			//跳转位置
			goPostion() {
				uni.navigateTo({
					url: '/pages/user/positioning/positioning'
				})
			},
			//商品跳转
			toGoods(e) {
				uni.navigateTo({
					url: '../../goods/goods?id=' + e
				});
			},

			//赠券卡券列表
			getCouponListArea() {
				let params = {
					regionId: app.globalData.cityId,
					pageNum: this.pageNum,
					pageSize: this.pageSize,
					displayArea: 1
				}
				getCouponList(params).then(res => {
					if (res.return_code == '000000' && res.return_data.list) {
						this.productList = res.return_data.list;
						if (res.return_data.total > 4) {
							this.productListleg = 4;
							return;
						}
						this.productListleg = res.return_data.total;
					}else{
						this.productList  = [];
					}
				})
			},
			//积分卡券列表
			getCouponListgold() {
				let params = {
					regionId: app.globalData.cityId,
					pageNum: this.pageNum,
					pageSize: this.pageSize,
					displayArea: 2
				}
				getCouponList(params).then(res => {
					if (res.return_code == '000000' && res.return_data.list) {
						this.goldproductList = res.return_data.list;
						this.goldproductListleg = res.return_data.total;
						if (res.return_data.total > 4) {
							this.goldproductListleg = 4;
							return;
						}
						this.goldproductListleg = res.return_data.total;
					}else{
						this.productList  = [];
					}
				})
			},
			//轮播图指示器
			swiperChange(event) {
				this.currentSwiper = event.detail.current;
			},
			eheckStu(item) {
				this.cpStuats = item;
			},
			//获取登陆信息
			getuserinfos() {
				let that = this;
				// 获取微信用户信息
				uni.getUserProfile({
					desc: '登录中...',
					success: function(res) {
						let params = {
							openId: app.globalData.openId,
							iv: res.iv,
							encryptedData: res.encryptedData
						}
						getUserInfo(params).then(res => {
							if (res.return_code == '000000') {
								uni.hideLoading();
								uni.showToast({
									title: '获取信息成功',
									icon: 'none',
									duration: 2000
								})
								app.globalData.userInfo = res
									.return_data
									.object
									.highUser;
								app.globalData.token = res
									.return_data.uniqueCode;
								uni.setStorage({
									key: "user",
									data: res.return_data
										.object
										.highUser
								})
								uni.setStorage({
									key: "token",
									data: res.return_data
										.uniqueCode
								})
							} else {
								uni.hideLoading();
								uni.showToast({
									title: res.return_msg,
									icon: 'none',
									duration: 2000
								})
							}
						});
					},
					fail: res => {
						uni.hideLoading();
						uni.showToast({
							title: "微信登录授权失败",
							icon: "none"
						});
					}
				})
			},

			//跳转菜单
			toCategory(item) {
				if (!app.globalData.userInfo.phone) {
					uni.navigateTo({
						url: '../../userLogin/userLogin'
					})
					return;
				}
				if (!app.globalData.userInfo) {
					uni.navigateTo({
						url: '../../userLogin/userLogin'
					})
					return;
				}
				if (item.title == '在线加油') {
					uni.navigateTo({
						url: item.ext1
					})
				} else if (item.title == '肯德基') {
					uni.navigateTo({
						url: '/pages/tabBar/order/order?id=1'
					})
				} else if (item.title == '电影票') {
					uni.navigateTo({
						url: '/pages/tabBar/order/order?id=2'
					})
				} else if (item.title == '话费充值') {
					uni.navigateTo({
						url: '../../../subPages/recharge/recharge'
					})
				} else {
					uni.showToast({
						title: '暂未开通',
						icon: 'none',
						duration: 2000
					})
				}
			},
			//轮播跳转活动
			jumplottery(item) {
				if (item.ext1) {
					uni.navigateTo({
						url: item.ext1
					})
				}

			},
			//单独跳转话费充值
			jumphuafei(item) {
				if (!app.globalData.userInfo) {
					uni.navigateTo({
						url: '../../userLogin/userLogin'
					})
					return;
				}
				if (!app.globalData.userInfo.phone) {
					uni.navigateTo({
						url: '../../userLogin/userLogin'
					})
					return;
				}
				if (item.title == '汇联通') {
					uni.navigateTo({
						url: '/pages/goods/goods-list/goods-list?id=2'
					})
					return;
				}
				if (item.title == '在线加油') {
					uni.navigateTo({
						url: '/pages/goods/refuel/refuel'
					})
					return;
				}
				if (item.title == '话费充值') {
					uni.navigateTo({
						url: '../../../subPages/recharge/recharge'
					})
					return;
				}
				if (item.title == '电影票') {
					uni.navigateTo({
						url: '/pages/tabBar/order/order?id=2'
					})
					return;
				}
				if (item.title == '肯德基') {
					uni.navigateTo({
						url: '/pages/tabBar/order/order?id=1'
					})
					return;
				}
				if (item.title == '优选商品') {
					uni.navigateTo({
						url: '../../../subPages/preferred-goods/preferred-goods'
					})
					return;
				}
				if (item.title == '优惠券包') {
					uni.navigateTo({
						url:'../../../subPages/coupon-package/coupon-package'
					})
					return;
				}


			},
			//调整商品列表
			goGoodsList(item) {
				uni.navigateTo({
					url: '/pages/goods/goods-list/goods-list?id=' + item
				})
			},
		},

	};
</script>
<style lang="scss">
	page {
		position: relative;
		background-color: #F5F5F5;
	}

	.popImg {
		width: 300px;
		height: 440px;
	}
	
	.xfimg{
		width: 80rpx;
		bottom: 60rpx;
		position: fixed;
		right: 40rpx;
	}

	@font-face {
		font-family: 'HMfont-home';
		src: url('data:application/x-font-woff2;charset=utf-8;base64,[encoded data, 5768 characters]') format('woff2');
	}

	button::after {
		border: none
	}

	.pullDown-effects {
		position: fixed;
		//top: calc(100upx - 36vw);
		top: 0;
		z-index: 9;
		width: 100%;
		height: 36vw;
		/*  #ifdef  APP-PLUS  */
		padding-top: var(--status-bar-height);

		/*  #endif  */
		image {
			width: 100%;
			height: 36vw;
		}
	}

	.status {
		width: 100%;
		height: 0;
		position: fixed;
		z-index: 10;
		background-color: #fff;
		top: 0;
		/*  #ifdef  APP-PLUS  */
		height: var(--status-bar-height); //覆盖样式
		/*  #endif  */
	}

	.header {
		width: 92%;
		padding: 0 4%;
		height: 100upx;
		display: flex;
		align-items: center;
		position: fixed;
		background-color: #0083f5;
		top: 0;
		z-index: 10;

		/*  #ifdef  APP-PLUS  */
		top: var(--status-bar-height);
		/*  #endif  */

		.addr {
			width: 120upx;
			height: 45rpx;
			flex-shrink: 0;
			display: flex;
			overflow: hidden;
			display: -webkit-box;
			-webkit-line-clamp: 1;
			-webkit-box-orient: vertical;
			text-overflow: ellipsis;
			align-items: center;
			font-size: 28upx;
			color: #FFFFFF;

			.icon {
				height: 60upx;
				margin-right: 5upx;
				display: flex;
				align-items: center;
				font-size: 42upx;
				color: #ffc50a;
			}
		}

		.input-box {
			width: 100%;
			height: 70rpx;
			background-color: #f5f5f5;
			border-radius: 10rpx;
			position: relative;
			display: flex;
			align-items: center;

			.icon {
				display: flex;
				align-items: center;
				position: absolute;
				top: 0;
				right: 0;
				width: 60upx;
				height: 60upx;
				font-size: 34upx;
				color: #c0c0c0;
			}

			input {
				padding-left: 28upx;
				height: 28upx;
				font-size: 28upx;
				width: 100%;
			}
		}

		.icon-btn {
			width: 60upx;
			height: 60upx;
			flex-shrink: 0;
			display: flex;

			.icon {
				width: 60upx;
				height: 60upx;
				display: flex;
				justify-content: center;
				align-items: center;
				font-size: 42upx;
				background-color: transparent;
			}
		}
	}

	.place {
		background-color: #ffffff;
		height: 100upx;
		/*  #ifdef  APP-PLUS  */
		margin-top: var(--status-bar-height);
		/*  #endif  */
	}

	.viewbor {
		border-radius: 0px 0px 10px 10px;
		position: relative;
	}

	.swiper {
		width: 100%;
		display: flex;
		justify-content: center;
		position: absolute;
		top: 60px;

		.swiper-box {
			width: 92%;
			height: 130px;
			overflow: hidden;
			border-radius: 15upx;
			box-shadow: 0upx 8upx 25upx rgba(0, 0, 0, 0.2);
			//兼容ios，微信小程序
			position: relative;
			z-index: 1;

			swiper {
				width: 100%;
				height: 130px;

				swiper-item {
					image {
						width: 100%;
						height: 130px;
					}
				}
			}

			.indicator {
				position: absolute;
				bottom: 20upx;
				left: 20upx;
				background-color: rgba(255, 255, 255, 0.4);
				width: 150upx;
				height: 5upx;
				border-radius: 3upx;
				overflow: hidden;
				display: flex;

				.dots {
					width: 0upx;
					background-color: rgba(255, 255, 255, 1);
					transition: all 0.3s ease-out;

					&.on {
						width: (100%/3);
					}
				}
			}
		}
	}

	.banner {
		width: 92%;
		margin: 40upx 4%;

		image {
			width: 100%;
			height: 20vw;
			border-radius: 10vw;
		}
	}

	.promotion {
		width: 92%;
		margin: 0 4%;

		.text {
			width: 100%;
			height: 60upx;
			font-size: 34upx;
			font-weight: 600;
			margin-top: -10upx;
		}

		.list {
			width: 100%;
			display: flex;
			justify-content: space-between;

			.column {
				width: 43%;
				padding: 15upx 3%;
				background-color: #ebf9f9;
				border-radius: 10upx;
				overflow: hidden;
				display: flex;
				justify-content: space-between;
				flex-wrap: wrap;

				.top {
					width: 100%;
					height: 40upx;
					display: flex;
					align-items: center;
					margin-bottom: 5upx;

					.title {
						font-size: 30upx;
					}

					.countdown {
						margin-left: 20upx;
						display: flex;
						height: 40upx;
						display: flex;
						align-items: center;
						font-size: 20upx;

						view {
							height: 30upx;
							background-color: #0083f5;
							display: flex;
							justify-content: center;
							align-items: center;
							color: #fff;
							border-radius: 4upx;
							margin: 0 4upx;
							padding: 0 2upx;
						}
					}
				}

				.left {
					width: 50%;
					height: 18.86vw;
					display: flex;
					flex-wrap: wrap;
					align-content: space-between;

					.ad {
						margin-top: 5upx;
						width: 100%;
						font-size: 22upx;
						color: #acb0b0;
					}

					.into {
						width: 100%;
						font-size: 24upx;
						color: #aaa;
						margin-bottom: 5upx;
					}
				}

				.right {
					width: 18.86vw;
					height: 18.86vw;

					image {
						width: 18.86vw;
						height: 18.86vw;
					}
				}
			}
		}
	}

	.category-list {
		width: 100%;
		padding: 0 0 30upx 0;
		background-color: #FFFFFF;
		border-bottom: solid 2upx #f6f6f6;
		display: flex;
		justify-content: space-between;
		flex-wrap: wrap;

		.category {
			width: 25%;
			margin-top: 50upx;
			display: flex;
			flex-wrap: wrap;

			.img {
				width: 100%;
				display: flex;
				justify-content: center;

				image {
					width: 9vw;
					height: 9vw;
				}
			}

			.text {
				margin-top: 16upx;
				width: 100%;
				display: flex;
				justify-content: center;
				font-size: 24upx;
				color: #3c3c3c;
			}
		}
	}

	.goods-list {
		background-color: #FFFFFF;
		margin-top: 40px;

		.title {
			height: 80rpx;
			color: #333333;
			text-align: center;
			margin-top: 10px;
			font-size: 30rpx;
			width: 100px;
			line-height: 80rpx;
			margin-bottom: 10px;
			float: left;
		}

		.active_tie {
			font-size: 42rpx;
			font-weight: bold;
			height: 80rpx;
			color: #333333;
			margin-top: 10px;
			text-align: center;
			width: 100px;
			line-height: 80rpx;
			margin-bottom: 10px;
			float: left;
		}

		.loading-text {
			width: 100%;
			display: flex;
			justify-content: center;
			align-items: center;
			height: 60upx;
			color: #979797;
			font-size: 24upx;
		}

		.product-list {
			width: 92%;
			padding: 0 4% 3vw 4%;
			display: flex;
			justify-content: space-between;
			flex-wrap: wrap;

			.product {
				width: 48%;
				border-radius: 20upx;
				background-color: #fff;
				margin: 0 0 15upx 0;
				box-shadow: 0upx 5upx 25upx rgba(0, 0, 0, 0.1);

				image {
					width: 100%;
					border-radius: 20upx 20upx 0 0;
				}

				.name {
					width: 92%;
					padding: 8upx 4%;
					display: -webkit-box;
					-webkit-box-orient: vertical;
					-webkit-line-clamp: 1;
					text-align: justify;
					overflow: hidden;
					font-size: 30upx;
				}

				.info {
					display: flex;
					justify-content: space-between;
					align-items: flex-end;
					width: 92%;
					padding: 10upx 4% 10upx 4%;

					.price {
						color: #e65339;
						font-size: 30upx;
						font-weight: 600;
					}

					.slogan {
						color: #807c87;
						font-size: 24upx;
						text-decoration: line-through;
					}
				}
			}
		}
	}

	//赠券专区
	.orange-wrap {
		position: relative;
		box-sizing: border-box;
	}

	.orange-title {
		display: flex;
		justify-content: space-between;
		margin-bottom: 20rpx;
		padding-right: 30rpx;
	}

	.orange-title .al {
		font-weight: 700;
		font-size: 34rpx;
	}

	.orange-title .ar {
		font-size: 28rpx;
		color: #777;
		position: relative;
		top: 10rpx;

	}

	.orange-content {
		height: 170px;
		width: 90%;
		margin-left: 5%;
		border-radius: 0 0 10px 10px;
		margin-top: -5px;
		background-color: white;
		box-shadow: 0rpx 8rpx 25rpx rgba(0, 0, 0, 0.2);
	}

	.swiper-hed {
		width: 28%;
	}

	.orange-content .swiper-item {
		height: 180rpx;
		margin-left: 14rpx;
		margin-top: 14rpx;
	}

	.orange-content .swiper-item .img {
		width: 100%;
		height: 100%;
		// border-Radius:10rpx;
	}

	.orange-content .swiper-item .subject {
		font-size: 26rpx;
		width: 100%;
		color: #ff5836;
		display: flex;
		align-items: center;
	}

	.lookmore {
		background-color: #e2e2e2;
		text-align: center;
		line-height: 140rpx;
	}

	.lookmore .moretext {
		color: #777;
		font-size: 28rpx;
	}

	//弹窗
	button::after {
		border: none
	}

	.Popup {
		width: 600rpx;
		background-color: #fff;
		position: fixed;
		top: 50%;
		left: 50%;
		margin-left: -300rpx;
		transform: translateY(-50%);
		z-index: 320;
	}

	.Popup {
		.logo-auth {
			z-index: -1;
			position: absolute;
			left: 50%;
			top: 0%;
			transform: translate(-50%, -50%);
			width: 150rpx;
			height: 150rpx;
			display: flex;
			align-items: center;
			justify-content: center;
			border: 8rpx solid #fff;
			border-radius: 50%;
			background: #fff;
		}

		image {
			height: 80rpx;
			margin-top: -54rpx;
		}
	}

	.Popup .title {
		font-size: 28rpx;
		color: #000;
		text-align: center;
		margin-top: 30rpx
	}

	.Popup .tip {
		font-size: 14px;
		color: #555;
		padding: 0 24rpx;
		margin-top: 50rpx;
		text-align: center;
	}

	.Popup .bottom .item {
		width: 50%;
		height: 90rpx;
		background-color: #eeeeee;
		text-align: center;
		line-height: 90rpx;
		font-size: 14px;
		color: #666;
		margin-top: 54rpx;
	}

	.Popup .bottom .item.on {
		width: 100%
	}

	.flex {
		display: flex;
	}

	.Popup .bottom .item.grant {
		font-size: 28rpx;
		color: #fff;
		font-weight: bold;
		background-color: #a1bac5;
		border-radius: 0;
		padding: 0;
	}

	.mask {
		position: fixed;
		top: 0;
		right: 0;
		left: 0;
		bottom: 0;
		background-color: rgba(0, 0, 0, 0.65);
		z-index: 310;
	}
</style>
